Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8091 - Mach64 Xserver does not work with ATI Rage 128 gl(agp) video card
Summary: Mach64 Xserver does not work with ATI Rage 128 gl(agp) video card
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-31 19:33 UTC by boobear
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 18:32:58 UTC


Attachments (Terms of Use)

Description boobear 1999-12-31 19:33:04 UTC
I have a ASUS P2b-f MB with a PIII 500 MZ CPU and an ATI Rage 128 GL(AGP)
video card with 32Mg of video memory which resides in a AGP slot on the
mother board.  My monitor is a ViewSonic PS790.  When I run Xconfigurator
the pci probe finds
ATI:Rag 128 GL AGP 1x/2x
Xserver :Mach64
When I run the various probes that are done under the setup the program
allways comes back with an error even when I try a custom monitor.  I have
tired the text setup verision and the results are the same.
When I try to start X windows I get a list of resolutions which were
deleted since they were not valid.  I then get the following:
Mach64: PCI: unknown ATI(0x5246) rev 0,
Aperture@0xe0000000,Registers@0xdf000000,Block I/O @ 0xd800
No screens found
Fatal Server error.

Comment 1 sgiesecke 2000-01-09 12:56:59 UTC
The Mach64 does not support the Rage128 chipset. There is currently no support
for the Rage128 chipset in XFree86, but there is an additional X server
available which has been developed by SuSE and runs perfectly fine on RedHat
6.1. You can find it at the following location:
ftp://ftp.suse.com/pub/SuSE-Linux/suse_update/X/XFCom/xrage/xrage.rpm

ATI has delegated further development of Rage128 support to PrecisionInsight
which says Rage128 support will be included from XFree86 3.3.6.

Comment 2 Adam 2000-01-22 09:54:59 UTC
But if I won't to boot and install from CD (RH 6.1) it run Mach64 Xserver and
computer freze :((
If i want to install I must copy distribution on HDD(it dosen't run Xserver)and
after instalation install Rage128 Xserver -- Isn't there some way to disable
starting Graphic instalation from CD ??

Comment 3 Cristian Gafton 2000-01-27 08:39:59 UTC
assign to xconfigurator

Comment 4 Preston Brown 2000-02-15 18:32:59 UTC
our next release, which includes XFree86 3.3.6, supports the Rage 128 chipset.


Note You need to log in before you can comment on or make changes to this bug.